

#pragma once

#include <QCommandLineParser>

class OGCommandLineOptions {
    public:

    enum NewTabBehavior {
        /**
         * Ignore attempt to open new tab
        */
        Ignore,

        /**
         * Replace current page, ignore "new tab" directive.
        */
        ReplacePage,

        /**
         * Open a new tab.
        */
        NewTab
    };

    static OGCommandLineOptions &getInstance() {
        static OGCommandLineOptions instance;
        return instance;
    }

    QString getUrl() const { return _url; }
    void setUrl(const QString& url) { _url = url; }

    NewTabBehavior getNewTabBehavior() const { return _newTabBehavior; }
    void setNewTabBehavior(NewTabBehavior nt) { _newTabBehavior = nt; }

private:
    OGCommandLineOptions() {

    }

    QString _url;
    NewTabBehavior _newTabBehavior{ReplacePage};
};